PMDUMPLOG(1)

NAME
pmdumplog - dump internal details of a performance metrics archive log

SYNOPSIS
pmdumplog [-adiLlmrstz] [-n pmnsfile] [-S starttime] [-T endtime] [-Z timezone] archive [metricname ...]
pmdumplog [-v file]

DESCRIPTION
pmdumplog dumps assorted control, metadata, index and state information from the files of a Performance Co-Pilot (PCP) archive log. The archive log has the base name archive and must have been previously created using pmlogger(1).

Normally pmdumplog operates on the distributed Performance Metrics Name Space (PMNS), however if the -n option is specified an alternative local PMNS is loaded from the file pmnsfile.

If any metricname arguments appear, the report will be restricted to information relevant to the named performance metrics. If metricname is a non-leaf node in the namespace (see pmns(5)), then pmdumplog will recursively descend the archive's namespace and report on all leaf nodes.

The options control the specific information to be reported.

-a  Report everything, i.e. the flags -d, -i, -l, -m, -s and -t.

-d  Display the metadata and descriptions for those performance metrics that appear at least once in the archive: see pmLookupDesc(3) for more details on the metadata describing metrics.

-i  Display the instance domains, and any variations in their instance members over the duration of the archive: see pmGetInDom(3) for more details on instance domains.

-l  Dump the archive label, showing the log format version, the time and date for the start and (current) end of the archive, and the host from which the performance metrics values were collected.

-L  Like -l, just a little more verbose.

-m  Print the values for the performance metrics from the archive. This is the default display option.

    Metrics without an instance domain are reported as:
    [timestamp] metric-id (metric-name): value1 value2

    Metrics with an instance domain are reported as:
    [timestamp] metric-id (metric-name):
    inst [internal-id or "external-id"] value1 value2

    The timestamp is only reported for the first metric in a group of metrics sharing the same timestamp.

-r  Process the archive in reverse order, from most recent to oldest recorded metric values.

-S  When using the -m option, the report will be restricted to those records logged at or after starttime. Refer to PCPIntro(1) for a complete description of the syntax for starttime.

-s  Report the size in bytes of each physical record in the archive.

-T  When using the -m option, the report will be restricted to those records logged before or at endtime. Refer to PCPIntro(1) for a complete description of the syntax for endtime.

-t  Dump the temporal index that is used to provide accelerated access to large archive files.

    The integrity of the index will also be checked. If the index is found to be corrupted, the ``*.index'' file can be renamed or removed and the archive will still be accessible, however retrievals may take longer without the index. Note however that a corrupted temporal index is usually indicative of a deeper malaise that may infect all files in a PCP archive.

-v  Verbose mode. Dump the records from a physical archive file in hexadecimal format. In this case file is the name of a single file, usually a basename (as would otherwise appear as the archive command line argument), concatenated with ``.'' followed by one of meta (the metadata), index (the temporal index), or a digit (one of the volumes of metric values).

    Use of -v precludes the use of all other options and arguments.

By default, pmdumplog reports the time of day according to the local timezone on the system where pmdumplog is run. The -Z option changes the timezone to timezone in the format of the environment variable TZ as described in environ(5). The -z option changes the timezone to the local timezone at the host that is the source of the performance metrics, as specified in the label record of the archive log.

FILES
$PCP_VAR_DIR/pmns/*
    default local PMNS specification files
$PCP_LOG_DIR/pmlogger/hostname
    Default directory for PCP archives containing performance metric values collected from the host hostname.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmlogcheck(1), pmlogger(1), pmlogger_check(1), pmlogger_daily(1), pmloglabel(1), pmlogmerge(1), PMAPI(3), pmGetInDom(3), pmLookupDesc(3), pcp.conf(5), pcp.env(5) and pmns(5).